## org.codehaus.groovy.runtime.callsite
Class GetEffectivePogoFieldSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.GetEffectivePogoFieldSite

All Implemented Interfaces:
  CallSite

    public class GetEffectivePogoFieldSite

extends AbstractCallSite

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`array, index, name, usage`

Constructor Summary
`GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)`

Method Summary
`CallSite` `acceptGetProperty(Object receiver)`
`CallSite` `acceptGroovyObjectGetProperty(Object receiver)`
`Object` `callGetProperty(Object receiver)`
`Object` `callGroovyObjectGetProperty(Object receiver)`
`Object` `getProperty(Object receiver)`

Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetPropertySafe, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetEffectivePogoFieldSite

    public GetEffectivePogoFieldSite(CallSite site,
                                     MetaClass metaClass,
                                     CachedField effective)

Method Detail

### callGetProperty

    public final Object callGetProperty(Object receiver)
                                 throws Throwable

  Specified by:
    `callGetProperty` in interface `CallSite`
  Overrides:
    `callGetProperty` in class `AbstractCallSite`
  Throws:
    `Throwable`

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

  Overrides:
    `acceptGetProperty` in class `AbstractCallSite`

### callGroovyObjectGetProperty

    public final Object callGroovyObjectGetProperty(Object receiver)
                                             throws Throwable

  Specified by:
    `callGroovyObjectGetProperty` in interface `CallSite`
  Overrides:
    `callGroovyObjectGetProperty` in class `AbstractCallSite`
  Throws:
    `Throwable`

### acceptGroovyObjectGetProperty

    public final CallSite acceptGroovyObjectGetProperty(Object receiver)

  Overrides:
    `acceptGroovyObjectGetProperty` in class `AbstractCallSite`

### getProperty

    public final Object getProperty(Object receiver)

  Specified by:
    `getProperty` in interface `CallSite`
  Overrides:
    `getProperty` in class `AbstractCallSite`

Copyright © 2003-2009 The Codehaus. All rights reserved.